Help with usegalaxy installation on Ubuntu (issue with conda.lock dependencies)

Hi,
I tried installing my own galaxy on Ubuntu 18 as per the tutorials available. I installed python 3 followed by git, virtualenv and then ran the run.sh file. I also had to install pip3 and distutitls before that. It took me two days of trying several options. Everytime it said there is problem with dependencies (conda.lock). I removed the file from the dependencies folder and ran again. This time it ran I could configure and register but when I close and run again it takes again the same time ( more than 10 minutes) to load. Also, I am not able to install tools from the toolshed, it shows error. There is certainly a problem with the conda.lock . I am new to using Ubuntu and getting familiar with it slowly. I would appreciate your help. Thank you.

1 Like